#!/bin/sh

CDROM="/media/cdrom"
FWDIR="${CDROM}/firmware"
DEST="/srv/Pt-firmware-mirror.local"

die() {
	echo $*
	exit 1
}

mount "${CDROM}" || die "Could not mount CDROM. Is CD inserted?"

if [ -d "${FWDIR}" ]
then

	echo "Removing old firmware mirror..."
	rm -rf "${DEST}"
	mkdir -p "${DEST}"
	cd "${DEST}" || die "Could not change to directory '${DEST}'."

	for TARBALL in "${FWDIR}"/*
	do
		echo "Extracting '${TARBALL}' to '${DEST}'..."
		tar xf "${TARBALL}" || die "Could not extract tarball."
	done

else

	die "Could not find '/firmware' directory on CDROM."

fi

umount "${CDROM}"
